<?php
/**
 * Created by PhpStorm.
 * User: oriol
 * Date: 09/05/16
 * Time: 13:36
 */

namespace tests\controllers;
use App\Http\Controllers\WelcomeController;

class WelcomeControllerTest extends \TestCase
{
    public function testWelcomeControllerTestCanBeCreated()
    {
        $WelcomeController = new WelcomeController();
    }

    /**
     * Test unitari amb les dades de test obtingudes fins a data 5-5-16
     */
    public function testcontarAccessos()
    {
        $WelcomeController = new WelcomeController();
        $contador = $WelcomeController->contarAccessos();
        $this->assertEquals( $contador->get("countAccessosTotals"),111);
        $this->assertEquals( $contador->get("countAccessosNoAutoritzats"),80);
        $this->assertEquals( $contador->get("countAccessosConfirmar"),27);
    }
}
